#!/bin/sh
GOVER=`go version | { read _ _ v _; echo ${v#go}; }`
echo "Detected Go $GOVER"
GOVER_REQ="1.16.0"
if [ "$(printf '%s\n' "$GOVER_REQ" "$GOVER" | sort -V | head -n1)" = "$GOVER_REQ" ]
then
read -p "Deploy Ergo on this system? " -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]
then
zypper in --no-recommends -y git make
REPO="https://github.com/ergochat/ergo.git"
mkdir /opt/ergo
useradd -rUd /opt/ergo -s /bin/false ergo
chown ergo:ergo /opt/ergo
chmod 750 /opt/ergo
usermod -aG ergo pratyush
usermod -aG ergo georg
sudo -u ergo git clone $REPO /opt/ergo/ergo-git
cd /opt/ergo/ergo-git
sudo -u ergo make build
sudo -u ergo chmod +x ergo
ln -s /opt/ergo/ergo-git/ergo /opt/ergo/ergo
fi
else
echo "This is currently only compatible with Go 1.16.6 or higher. Consider deploy_go.sh."
fi
